Decode a x509 certificate (url encoded)

Decode a x509 certificate (url encoded)

Path parameters
pem
string required
Responses
  • 200 The decoded x509 certificate
    dn
    string required

    The certificate's distinguished name

    dnElements
    array of object (DN Element) required

    The distinguished name, with each element being an object

    issuerDn
    string required

    The DN of this certificate's issuer

    serial
    string required

    This certificate's serial number

    notBefore
    integer required

    This certificate's start of validity

    notAfter
    integer required

    This certificate's end of validity

    keyType
    string required

    This certificate's keytype

    signingAlgorithm
    string required

    Ths certificate's signing algorithm

    pem
    string required

    PEM encoded certificate

    certificateThumbprint
    string required

    The SHA-256 thumbprint of this certificate

    certificateSHAOneThumbprint
    string required

    The SHA-1 thumbprint of this certificate

    publicKeyThumbprint
    string required

    The thumbprint of the public key of this certificate

    keyUsages
    array of string required

    This certificate's Key Usages

    isKeyUsagesCritical
    boolean required

    If true, the Key Usages extension of this certificate is critical

    extendedKeyUsages
    array of string required

    This certificate's Extended Key Usages

    isExtendedKeyUsagesCritical
    boolean required

    If true, the Extended Key Usages extension of this certificate is critical

    selfSigned
    boolean required

    If true, this certificate is self-signed

    subjectKeyIdentifier
    string

    The subject key identifier of this certificate

    authorityKeyIdentifier
    string

    The authority key identifier of this certificate

    sans
    array of objects (SAN Element)

    List of this certificate's SANs

    basicConstraints
    object

    This certificate's Basic Constraints

    extensions
    array of objects (Certificate Extension Element)

    This certificate's Microsoft specific extensions

    crldps
    array of string

    This certificate's CRL Distribution Points

    aias
    object

    This certificate's Authority Information Access

    policies
    array of objects (Certificate Policy)

    This certificate's Certificate Policies

  • 400 Bad Request
  • 401 Unauthorized request
  • 403 Forbidden action